### File

`packages/ecl/components/ecl-content-block/ecl-content-block.component.ts`

### Description

Component representing a content block, based on the ECL design system. Serves as a container for structured content such as titles, texts, and links.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-content-block`
styles | `:host { display: block; }`
templateUrl | `./ecl-content-block.component.html`

### Index

###### Properties
Readonly el
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Binds the component's root CSS classes. Adds the `ecl-content-block` class by default.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Readonly el
Type : `unknown`
Default value : `inject(ElementRef)`

### Accessors

cssClasses
get `cssClasses()`
Binds the component's root CSS classes. Adds the `ecl-content-block` class by default. Returns : `string`

# results matching ""

# No results matching ""